Data.Interned.IntSet

# Set type

data IntSet

# Operators

(\\)

# Query

null

size

member

notMember

isSubsetOf

isProperSubsetOf

# Construction

empty

singleton

insert

delete

# Combine

union

unions

difference

intersection

# Filter

filter

partition

split

splitMember

# Min/Max

findMin

findMax

deleteMin

deleteMax

deleteFindMin

deleteFindMax

maxView

minView

# Map

map

# Fold

fold

# Conversion

## List

elems

toList

fromList

## Ordered list

toAscList

fromAscList

fromDistinctAscList

# Debugging

showTree

showTreeWith